Skip to content

Gets all of the stored payment methods in the system for a given contact.

Request

This method will scan all stored payment methods and and return them to the caller for a given contact.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

portalContactIdstringrequired

The contact to use

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/storedPaymentMethods/{tenantId}/portal/contact/{portalContactId}?fields=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The stored payment methodswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Countinteger
ItemsArray of objects(StoredPaymentMethod)
LastEvaluatedKeystring
Response
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }